From b779ca0aed88ec73284790781a53575e709f3010 Mon Sep 17 00:00:00 2001
From: Oz Linden <oz@lindenlab.com>
Date: Tue, 26 Jul 2016 17:43:39 -0400
Subject: [PATCH] fail build on a failed configure

---
 build.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/build.sh b/build.sh
index d67cb32e7ca..cd2a9ebf5e7 100755
--- a/build.sh
+++ b/build.sh
@@ -101,7 +101,8 @@ pre_build()
      -DVIEWER_CHANNEL:STRING="\"$viewer_channel\"" \
      -DGRID:STRING="\"$viewer_grid\"" \
      -DLL_TESTS:BOOL="$run_tests" \
-     -DTEMPLATE_VERIFIER_OPTIONS:STRING="$template_verifier_options" $template_verifier_master_url
+     -DTEMPLATE_VERIFIER_OPTIONS:STRING="$template_verifier_options" $template_verifier_master_url \
+    || fatal "$variant configuration failed"
 
   end_section "Configure $variant"
 }
-- 
GitLab